%define ver_major 0

Name: libbtctl
Version: %ver_major.4.1
Release: alt1

Summary: GNOME bluetooth control library
License: GPL
Group: System/Libraries
Url: http://usefulinc.com/software/gnome-bluetooth
Source: %url/releases/%name-%version.tar.gz

# Automatically added by buildreq on Thu Jul 01 2004 (-bi)
BuildRequires: XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gtk-doc libatk-devel libbluez-devel libgtk+2-devel libopenobex-devel libpango-devel libstdc++-devel perl-XML-Parser pkgconfig pygtk2-devel python-base python-dev python-modules-compiler python-modules-encodings rpm-build-python xml-common xsltproc

%description
The GNOME Bluetooth Subsystem control library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides development files and libraries for %name

%prep
%setup -q
find ./ -type f -print0 |xargs -r0 %__subst 's,openobex/\(obex.h\),\1,' --

%build
%configure --enable-shared \
	    --disable-static

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%_libdir/python%__python_version/site-packages/btctl.*
%doc AUTHORS ChangeLog README

%files devel
#%_bindir/btlist
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%changelog
* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt0.2
- do not package .la files.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt0.1
- First build for Sisyphus.

